[X/Z/A][PATCH 0/5] fix memory-hotplug test

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[X/Z/A][PATCH 0/5] fix memory-hotplug test

Po-Hsu Lin (Sam)
The memory-hotplug test in the kernel selftest directory has a flag which is
called "percent-of-memory-to-offline". However it is using a random number
to decide if each memory block needs to be offlined (with 10% chance).
This might cause all memory blocks being skipped, or throw an error if the
block is busy. Also, it does not match with the meaning of the flag.

This patch set will fix the test by offlining a certain amount of memory blocks
and it will try to offline them one-by-one instead of doing this randomly to
avoid the block is busy issue and make it more reproducible.

Skipping Trusty as the ubuntu_kernel_selftests test suite was blacklisted on it.

Po-Hsu Lin (5):
  selftests: typo correction for memory-hotplug test
  selftests: check hot-pluggagble memory for memory-hotplug test
  selftests: check percentage range for memory-hotplug test
  selftests: add missing test name in memory-hotplug test
  selftests: fix memory-hotplug test

 .../selftests/memory-hotplug/mem-on-off-test.sh    | 86 +++++++++++++++++-----
 1 file changed, 67 insertions(+), 19 deletions(-)

--
2.7.4


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[PATCH 1/5] selftests: typo correction for memory-hotplug test

Po-Hsu Lin (Sam)
Typo fixed for hotpluggable_offline_memory() in memory-hotplug test.

Signed-off-by: Po-Hsu Lin <[hidden email]>
Signed-off-by: Shuah Khan <[hidden email]>
(cherry picked from commit 593f927851a58fdca559b173c807a0b78c9f6e49)
Signed-off-by: Po-Hsu Lin <[hidden email]>
---
 tools/testing/selftests/memory-hotplug/mem-on-off-test.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
index 6cddde0..a8d8587 100755
--- a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
+++ b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
@@ -39,7 +39,7 @@ hotpluggable_memory()
  done
 }
 
-hotplaggable_offline_memory()
+hotpluggable_offline_memory()
 {
  hotpluggable_memory offline
 }
@@ -150,7 +150,7 @@ echo -e "\t online all hotplug memory in offline state"
 #
 # Online all hot-pluggable memory
 #
-for memory in `hotplaggable_offline_memory`; do
+for memory in `hotpluggable_offline_memory`; do
  echo offline-online $memory
  online_memory_expect_success $memory
 done
@@ -168,7 +168,7 @@ done
 #
 # Online all hot-pluggable memory again
 #
-for memory in `hotplaggable_offline_memory`; do
+for memory in `hotpluggable_offline_memory`; do
  echo offline-online $memory
  online_memory_expect_success $memory
 done
@@ -214,7 +214,7 @@ done
 # Test memory hot-add error handling (offline => online)
 #
 echo $error > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_ONLINE/error
-for memory in `hotplaggable_offline_memory`; do
+for memory in `hotpluggable_offline_memory`; do
  online_memory_expect_fail $memory
 done
 
@@ -222,7 +222,7 @@ done
 # Online all hot-pluggable memory
 #
 echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_ONLINE/error
-for memory in `hotplaggable_offline_memory`; do
+for memory in `hotpluggable_offline_memory`; do
  online_memory_expect_success $memory
 done
 
--
2.7.4


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[PATCH 2/5] selftests: check hot-pluggagble memory for memory-hotplug test

Po-Hsu Lin (Sam)
In reply to this post by Po-Hsu Lin (Sam)
Check for hot-pluggable memory availability in prerequisite() of the
memory-hotplug test.

Signed-off-by: Po-Hsu Lin <[hidden email]>
Signed-off-by: Shuah Khan <[hidden email]>
(cherry picked from commit a34b28c92ec8c92938de03c18c5fab32efd2e29a)
Signed-off-by: Po-Hsu Lin <[hidden email]>
---
 tools/testing/selftests/memory-hotplug/mem-on-off-test.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
index a8d8587..993ff2b 100755
--- a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
+++ b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
@@ -22,6 +22,11 @@ prerequisite()
  echo $msg memory hotplug is not supported >&2
  exit 0
  fi
+
+ if ! grep -q 1 $SYSFS/devices/system/memory/memory*/removable; then
+ echo $msg no hot-pluggable memory >&2
+ exit 0
+ fi
 }
 
 #
--
2.7.4


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[PATCH 3/5] selftests: check percentage range for memory-hotplug test

Po-Hsu Lin (Sam)
In reply to this post by Po-Hsu Lin (Sam)
Check the precentage range for -r flag in memory-hotplug test.

Signed-off-by: Po-Hsu Lin <[hidden email]>
Signed-off-by: Shuah Khan <[hidden email]>
(cherry picked from commit 72441ea5886780d04ac96913e02dba9e84ea80e5)
Signed-off-by: Po-Hsu Lin <[hidden email]>
---
 tools/testing/selftests/memory-hotplug/mem-on-off-test.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
index 993ff2b..c735ece 100755
--- a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
+++ b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
@@ -136,6 +136,10 @@ while getopts e:hp:r: opt; do
  ;;
  r)
  ratio=$OPTARG
+ if [ "$ratio" -gt 100 ] || [ "$ratio" -lt 0 ]; then
+ echo "The percentage should be an integer within 0~100 range"
+ exit 1
+ fi
  ;;
  esac
 done
--
2.7.4


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[PATCH 4/5] selftests: add missing test name in memory-hotplug test

Po-Hsu Lin (Sam)
In reply to this post by Po-Hsu Lin (Sam)
There is no prompt for testing memory notifier error injection,
added with the same echo format of other tests above.

Signed-off-by: Po-Hsu Lin <[hidden email]>
Signed-off-by: Shuah Khan <[hidden email]>
(cherry picked from commit 02d8f075ac44f6f0dc46881965f815576921f2c0)
Signed-off-by: Po-Hsu Lin <[hidden email]>
---
 tools/testing/selftests/memory-hotplug/mem-on-off-test.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
index c735ece..0f62c16 100755
--- a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
+++ b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
@@ -207,6 +207,7 @@ prerequisite_extra()
  fi
 }
 
+echo -e "\t Test with memory notifier error injection"
 prerequisite_extra
 
 #
--
2.7.4


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[PATCH 5/5] selftests: fix memory-hotplug test

Po-Hsu Lin (Sam)
In reply to this post by Po-Hsu Lin (Sam)
In the memory offline test, the $ration was used with RANDOM as the
possibility to get it offlined, correct it to become the portion of
available removable memory blocks.

Also ask the tool to try to offline the next available memory block
if the attempt is unsuccessful. It will only fail if all removable
memory blocks are busy.

A nice example:
$ sudo ./test.sh
Test scope: 10% hotplug memory
        online all hot-pluggable memory in offline state:
                SKIPPED - no hot-pluggable memory in offline state
        offline 10% hot-pluggable memory in online state
        trying to offline 3 out of 28 memory block(s):
online->offline memory1
online->offline memory10
./test.sh: line 74: echo: write error: Resource temporarily unavailable
offline_memory_expect_success 10: unexpected fail
online->offline memory100
online->offline memory101
        online all hot-pluggable memory in offline state:
offline->online memory1
offline->online memory100
offline->online memory101
skip extra tests: debugfs is not mounted
$ echo $?
0

Signed-off-by: Po-Hsu Lin <[hidden email]>
Signed-off-by: Shuah Khan <[hidden email]>
(cherry picked from commit 5ff0c60b0e5e8c2a2139c304d7620b0ea70d721a)
Signed-off-by: Po-Hsu Lin <[hidden email]>
---
 .../selftests/memory-hotplug/mem-on-off-test.sh    | 70 +++++++++++++++++-----
 1 file changed, 54 insertions(+), 16 deletions(-)

diff --git a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
index 0f62c16..35025ce 100755
--- a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
+++ b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
@@ -80,9 +80,12 @@ online_memory_expect_success()
 
  if ! online_memory $memory; then
  echo $FUNCNAME $memory: unexpected fail >&2
+ return 1
  elif ! memory_is_online $memory; then
  echo $FUNCNAME $memory: unexpected offline >&2
+ return 1
  fi
+ return 0
 }
 
 online_memory_expect_fail()
@@ -91,9 +94,12 @@ online_memory_expect_fail()
 
  if online_memory $memory 2> /dev/null; then
  echo $FUNCNAME $memory: unexpected success >&2
+ return 1
  elif ! memory_is_offline $memory; then
  echo $FUNCNAME $memory: unexpected online >&2
+ return 1
  fi
+ return 0
 }
 
 offline_memory_expect_success()
@@ -102,9 +108,12 @@ offline_memory_expect_success()
 
  if ! offline_memory $memory; then
  echo $FUNCNAME $memory: unexpected fail >&2
+ return 1
  elif ! memory_is_offline $memory; then
  echo $FUNCNAME $memory: unexpected offline >&2
+ return 1
  fi
+ return 0
 }
 
 offline_memory_expect_fail()
@@ -113,14 +122,18 @@ offline_memory_expect_fail()
 
  if offline_memory $memory 2> /dev/null; then
  echo $FUNCNAME $memory: unexpected success >&2
+ return 1
  elif ! memory_is_online $memory; then
  echo $FUNCNAME $memory: unexpected offline >&2
+ return 1
  fi
+ return 0
 }
 
 error=-12
 priority=0
 ratio=10
+retval=0
 
 while getopts e:hp:r: opt; do
  case $opt in
@@ -152,35 +165,58 @@ fi
 prerequisite
 
 echo "Test scope: $ratio% hotplug memory"
-echo -e "\t online all hotplug memory in offline state"
-echo -e "\t offline $ratio% hotplug memory in online state"
-echo -e "\t online all hotplug memory in offline state"
 
 #
 # Online all hot-pluggable memory
 #
-for memory in `hotpluggable_offline_memory`; do
- echo offline-online $memory
- online_memory_expect_success $memory
-done
+hotpluggable_num=`hotpluggable_offline_memory | wc -l`
+echo -e "\t online all hot-pluggable memory in offline state:"
+if [ "$hotpluggable_num" -gt 0 ]; then
+ for memory in `hotpluggable_offline_memory`; do
+ echo "offline->online memory$memory"
+ if ! online_memory_expect_success $memory; then
+ retval=1
+ fi
+ done
+else
+ echo -e "\t\t SKIPPED - no hot-pluggable memory in offline state"
+fi
 
 #
 # Offline $ratio percent of hot-pluggable memory
 #
+hotpluggable_num=`hotpluggable_online_memory | wc -l`
+target=`echo "a=$hotpluggable_num*$ratio; if ( a%100 ) a/100+1 else a/100" | bc`
+echo -e "\t offline $ratio% hot-pluggable memory in online state"
+echo -e "\t trying to offline $target out of $hotpluggable_num memory block(s):"
 for memory in `hotpluggable_online_memory`; do
- if [ $((RANDOM % 100)) -lt $ratio ]; then
- echo online-offline $memory
- offline_memory_expect_success $memory
+ if [ "$target" -gt 0 ]; then
+ echo "online->offline memory$memory"
+ if offline_memory_expect_success $memory; then
+ target=$(($target - 1))
+ fi
  fi
 done
+if [ "$target" -gt 0 ]; then
+ retval=1
+ echo -e "\t\t FAILED - unable to offline some memory blocks, device busy?"
+fi
 
 #
 # Online all hot-pluggable memory again
 #
-for memory in `hotpluggable_offline_memory`; do
- echo offline-online $memory
- online_memory_expect_success $memory
-done
+hotpluggable_num=`hotpluggable_offline_memory | wc -l`
+echo -e "\t online all hot-pluggable memory in offline state:"
+if [ "$hotpluggable_num" -gt 0 ]; then
+ for memory in `hotpluggable_offline_memory`; do
+ echo "offline->online memory$memory"
+ if ! online_memory_expect_success $memory; then
+ retval=1
+ fi
+ done
+else
+ echo -e "\t\t SKIPPED - no hot-pluggable memory in offline state"
+fi
 
 #
 # Test with memory notifier error injection
@@ -198,12 +234,12 @@ prerequisite_extra()
 
  if [ ! -d "$DEBUGFS" ]; then
  echo $msg debugfs is not mounted >&2
- exit 0
+ exit $retval
  fi
 
  if [ ! -d $NOTIFIER_ERR_INJECT_DIR ]; then
  echo $msg memory-notifier-error-inject module is not available >&2
- exit 0
+ exit $retval
  fi
 }
 
@@ -246,3 +282,5 @@ done
 
 echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_OFFLINE/error
 /sbin/modprobe -q -r memory-notifier-error-inject
+
+exit $retval
--
2.7.4


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

APPLIED[artful]: [X/Z/A][PATCH 0/5] fix memory-hotplug test

Seth Forshee
In reply to this post by Po-Hsu Lin (Sam)
On Thu, Aug 10, 2017 at 02:32:34PM +0800, Po-Hsu Lin wrote:

> The memory-hotplug test in the kernel selftest directory has a flag which is
> called "percent-of-memory-to-offline". However it is using a random number
> to decide if each memory block needs to be offlined (with 10% chance).
> This might cause all memory blocks being skipped, or throw an error if the
> block is busy. Also, it does not match with the meaning of the flag.
>
> This patch set will fix the test by offlining a certain amount of memory blocks
> and it will try to offline them one-by-one instead of doing this randomly to
> avoid the block is busy issue and make it more reproducible.
>
> Skipping Trusty as the ubuntu_kernel_selftests test suite was blacklisted on it.

Forgot to send this yesterday, but this has been applied to
unstable/master.

You're lacking a buglink for SRU, and I also don't feel like the above
explains exactly why we'd want this for SRU either.

Thanks,
Seth

--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [X/Z/A][PATCH 0/5] fix memory-hotplug test

Po-Hsu Lin (Sam)
In reply to this post by Po-Hsu Lin (Sam)
BugLink: https://bugs.launchpad.net/bugs/1710868

SRU Justification:

Impact:
The memory-hotplug test in the kernel tree needs to be fixed:
1. The test will pass even the memory blocks are failed to be offlined.
2. It's using a random number generator to decide if each memory block
needs to be offlined, which is not ideal for testing as the block it
tries to unplug might be different between two runs.
3. The "-r" flag, percent-of-memory-to-offline, does not match what is
says. It's being used as the percentage to get a memory block offlined
instead.

Fix:
Apply the following patch from upstream can fix these issues:
593f9278 - selftests: typo correction for memory-hotplug test
a34b28c9 - selftests: check hot-pluggagble memory for memory-hotplug test
72441ea5 - selftests: check percentage range for memory-hotplug test
02d8f075 - selftests: add missing test name in memory-hotplug test
5ff0c60b - selftests: fix memory-hotplug test

Testcase:
Run the script directly, it will fail when all memory blocks are busy.
And it will try to unplug memory blocks in a fixed order.

Regression Potential:
Negligible, it's just affecting this specific test case among those
testing tools.

On Thu, Aug 10, 2017 at 2:32 PM, Po-Hsu Lin <[hidden email]> wrote:

> The memory-hotplug test in the kernel selftest directory has a flag which is
> called "percent-of-memory-to-offline". However it is using a random number
> to decide if each memory block needs to be offlined (with 10% chance).
> This might cause all memory blocks being skipped, or throw an error if the
> block is busy. Also, it does not match with the meaning of the flag.
>
> This patch set will fix the test by offlining a certain amount of memory blocks
> and it will try to offline them one-by-one instead of doing this randomly to
> avoid the block is busy issue and make it more reproducible.
>
> Skipping Trusty as the ubuntu_kernel_selftests test suite was blacklisted on it.
>
> Po-Hsu Lin (5):
>   selftests: typo correction for memory-hotplug test
>   selftests: check hot-pluggagble memory for memory-hotplug test
>   selftests: check percentage range for memory-hotplug test
>   selftests: add missing test name in memory-hotplug test
>   selftests: fix memory-hotplug test
>
>  .../selftests/memory-hotplug/mem-on-off-test.sh    | 86 +++++++++++++++++-----
>  1 file changed, 67 insertions(+), 19 deletions(-)
>
> --
> 2.7.4
>

--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

ACK/cmnt: [X/Z/A][PATCH 0/5] fix memory-hotplug test

Kleber Souza
On 08/15/17 13:58, Po-Hsu Lin (Sam) wrote:

> BugLink: https://bugs.launchpad.net/bugs/1710868
>
> SRU Justification:
>
> Impact:
> The memory-hotplug test in the kernel tree needs to be fixed:
> 1. The test will pass even the memory blocks are failed to be offlined.
> 2. It's using a random number generator to decide if each memory block
> needs to be offlined, which is not ideal for testing as the block it
> tries to unplug might be different between two runs.
> 3. The "-r" flag, percent-of-memory-to-offline, does not match what is
> says. It's being used as the percentage to get a memory block offlined
> instead.
>
> Fix:
> Apply the following patch from upstream can fix these issues:
> 593f9278 - selftests: typo correction for memory-hotplug test
> a34b28c9 - selftests: check hot-pluggagble memory for memory-hotplug test
> 72441ea5 - selftests: check percentage range for memory-hotplug test
> 02d8f075 - selftests: add missing test name in memory-hotplug test
> 5ff0c60b - selftests: fix memory-hotplug test
>
> Testcase:
> Run the script directly, it will fail when all memory blocks are busy.
> And it will try to unplug memory blocks in a fixed order.
>
> Regression Potential:
> Negligible, it's just affecting this specific test case among those
> testing tools.
>
> On Thu, Aug 10, 2017 at 2:32 PM, Po-Hsu Lin <[hidden email]> wrote:
>> The memory-hotplug test in the kernel selftest directory has a flag which is
>> called "percent-of-memory-to-offline". However it is using a random number
>> to decide if each memory block needs to be offlined (with 10% chance).
>> This might cause all memory blocks being skipped, or throw an error if the
>> block is busy. Also, it does not match with the meaning of the flag.
>>
>> This patch set will fix the test by offlining a certain amount of memory blocks
>> and it will try to offline them one-by-one instead of doing this randomly to
>> avoid the block is busy issue and make it more reproducible.
>>
>> Skipping Trusty as the ubuntu_kernel_selftests test suite was blacklisted on it.
>>
>> Po-Hsu Lin (5):
>>   selftests: typo correction for memory-hotplug test
>>   selftests: check hot-pluggagble memory for memory-hotplug test
>>   selftests: check percentage range for memory-hotplug test
>>   selftests: add missing test name in memory-hotplug test
>>   selftests: fix memory-hotplug test
>>
>>  .../selftests/memory-hotplug/mem-on-off-test.sh    | 86 +++++++++++++++++-----
>>  1 file changed, 67 insertions(+), 19 deletions(-)
>>
>> --
>> 2.7.4
>>
>

Given the SRU justification, and that the patches are upstream, limited
to the selftests and will improve our test coverage.

Just a note for the person applying the patches: the BugLink needs to be
added to all patches in the series before applying them.

Acked-by: Kleber Sacilotto de Souza <[hidden email]>

--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

ACK/cmnt: [X/Z/A][PATCH 0/5] fix memory-hotplug test

Stefan Bader-2
In reply to this post by Po-Hsu Lin (Sam)
On 15.08.2017 13:58, Po-Hsu Lin (Sam) wrote:

> BugLink: https://bugs.launchpad.net/bugs/1710868
>
> SRU Justification:
>
> Impact:
> The memory-hotplug test in the kernel tree needs to be fixed:
> 1. The test will pass even the memory blocks are failed to be offlined.
> 2. It's using a random number generator to decide if each memory block
> needs to be offlined, which is not ideal for testing as the block it
> tries to unplug might be different between two runs.
> 3. The "-r" flag, percent-of-memory-to-offline, does not match what is
> says. It's being used as the percentage to get a memory block offlined
> instead.
>
> Fix:
> Apply the following patch from upstream can fix these issues:
> 593f9278 - selftests: typo correction for memory-hotplug test
> a34b28c9 - selftests: check hot-pluggagble memory for memory-hotplug test
> 72441ea5 - selftests: check percentage range for memory-hotplug test
> 02d8f075 - selftests: add missing test name in memory-hotplug test
> 5ff0c60b - selftests: fix memory-hotplug test
>
> Testcase:
> Run the script directly, it will fail when all memory blocks are busy.
> And it will try to unplug memory blocks in a fixed order.
>
> Regression Potential:
> Negligible, it's just affecting this specific test case among those
> testing tools.
>
> On Thu, Aug 10, 2017 at 2:32 PM, Po-Hsu Lin <[hidden email]> wrote:
>> The memory-hotplug test in the kernel selftest directory has a flag which is
>> called "percent-of-memory-to-offline". However it is using a random number
>> to decide if each memory block needs to be offlined (with 10% chance).
>> This might cause all memory blocks being skipped, or throw an error if the
>> block is busy. Also, it does not match with the meaning of the flag.
>>
>> This patch set will fix the test by offlining a certain amount of memory blocks
>> and it will try to offline them one-by-one instead of doing this randomly to
>> avoid the block is busy issue and make it more reproducible.
>>
>> Skipping Trusty as the ubuntu_kernel_selftests test suite was blacklisted on it.
>>
>> Po-Hsu Lin (5):
>>   selftests: typo correction for memory-hotplug test
>>   selftests: check hot-pluggagble memory for memory-hotplug test
>>   selftests: check percentage range for memory-hotplug test
>>   selftests: add missing test name in memory-hotplug test
>>   selftests: fix memory-hotplug test
>>
>>  .../selftests/memory-hotplug/mem-on-off-test.sh    | 86 +++++++++++++++++-----
>>  1 file changed, 67 insertions(+), 19 deletions(-)
>>
>> --
>> 2.7.4
>>
>
Acked-by: Stefan Bader <[hidden email]>

It sounds reasonable to consolidate the correct testing across the releases and
if that is upstream, better. So yeah, with adding bug references this should be
acceptable. I wonder whether the commits might be marked with "Ignore" like
startnewrelease if the changes have no impact on the delivered kernel(s). OTOH
the same is true for changes to the build scripts and still we did not hide those.

-Stefan



--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team

signature.asc (836 bytes) Download Attachment
Loading...